Subject: BUG: git rebase shows different commit message

From: Eugen Konkov <[email-masked]>
Date: Wed, 14 Oct 2020 20:11:06 +0300

Hello Git,

How to reproduce: do commit message with leading space:

$git log --graph --decorate --pretty=oneline --abbrev-commit
* 093010ea (local/dev) Change column 'Label' => 'OPFG' and added column 'comment'
* 86221a47  Updated OpenAPI schema according to SCHEMA 193
* 6202eb08 Added opfg.html

$git rebase -i --autostash --rebase-merges 86221a47^
label onto

reset onto
pick 86221a47 Updated OpenAPI schema according to SCHEMA 193
pick 093010ea Change column 'Label' => 'OPFG' and added column 'comment'

Here commit message is shown without leading space.
I  think  that this is wrong. Because if space was shown then I reword
commit message

r 86221a47 Updated OpenAPI schema according to SCHEMA 193
pick 093010ea Change column 'Label' => 'OPFG' and added column 'comment'

but now I just do not see that I shold reword it =(

TODO: Display commit message as is

-- 
Best regards,
Eugen Konkov